Macaulay2 » Documentation
Packages » Macaulay2Doc » analytic functions » agm
next | previous | forward | backward | up | index | toc

# agm -- arithmetic-geometric mean

- Usage:
    `agm(x,y)`
- Inputs:
  - x, a number
  - y, a number
- Outputs:
  - the arithmetic-geometric mean of x and y

## Description

    i1 : agm(1,2p200)

    o1 = 1.456791031046906869186432383265081974973863943221305590794173

    o1 : RR (of precision 200)

See Arithmetic-geometric mean.

## Ways to use agm:

- `agm(CC,CC)`
- `agm(CC,RR)`
- `agm(RR,CC)`
- `agm(RR,RR)`

## For the programmer

The object agm is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_analytic_functions.m2:428:0.